For the complete documentation index, see llms.txt. This page is also available as Markdown.

API For Billing

List billing records

get

Returns a paginated list of billing records for the authenticated user, with optional filters (type, date range, status, payment method) and sorting.

Authorizations
api-keystringRequired
Query parameters
limitintegerOptional

Maximum number of items to return per page. Default: 30

pageintegerOptional

Requested page number (1-based). Default: 1

typeintegerOptional

Billing record type. 1: Purchase, 2: Wallet top-up

start_datestringOptional

Filter by start date (YYYY-MM-DD), e.g., 2025-08-01

end_datestringOptional

Filter by end date (YYYY-MM-DD), e.g., 2025-08-30

sort_bystringOptional

Field to sort by: id, amount, number_of_ips. Default: id

order_bystringOptional

Sort order: desc or asc. Default: desc

statusintegerOptional

Billing status. 0: pending, 1: success, -1: failed

payment_methodintegerOptional

Filter by payment method.

Responses
200

Successful response

application/json

Billing records list response payload.

successbooleanOptional

Indicates whether the request was successful.

messagestringOptional

Human-readable response message.

get/client/v1/billings/get-list
GET /client/v1/billings/get-list HTTP/1.1
Host: sandbox.9proxy.com
Accept: */*
{
  "success": true,
  "message": "text",
  "result": {
    "items": [
      {
        "id": "text",
        "billing_number": "text",
        "type": 1,
        "package_id": null,
        "account_id": 1,
        "amount": 1,
        "number_of_ips": null,
        "amount_traffic": null,
        "payment_method": 1,
        "status": 1,
        "created_at": 1
      }
    ],
    "total_items": 1,
    "total_pages": 1
  }
}

Last updated

Was this helpful?